/*

  Key Switch Module

  Parts required:
  - Arduino Board
  - Key Switch Module
  - 220 Ohm Resistor
  - 10K Ohm Resistor
  - LED (any color)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 10 Jun 2019
  Version : v1.0

*/

// Initialize all variables
int buttonPin = 2;                        // Use digital Pin 2
int ledPin = 3;                           // Use digital Pin 3
int buttonPress = 0;                      // Set buttonValue to 0

void setup() {
  pinMode(buttonPin, OUTPUT);             // Set buttonPin as OUTPUT
  pinMode(ledPin, OUTPUT);                // Set ledPin as OUTPUT
}

void loop() {

  buttonPress = digitalRead(buttonPin);   // Read buttonPin and store in buttonPress
  if (buttonPress == 1) {                 // If buttonPress = 1
    digitalWrite(ledPin, HIGH);           // Do
  }
  else {
    digitalWrite(ledPin, LOW);            // Else do
  }
}
